> ## Documentation Index
> Fetch the complete documentation index at: https://docs.droxy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Chatbot Avatar

> Update a chatbot's avatar.



## OpenAPI

````yaml /api-reference/v1.json put /v1/chatbot/avatar/{id}
openapi: 3.0.0
info:
  title: Droxy API
  description: ''
  version: '1.0'
  contact: {}
servers:
  - url: https://api.droxy.ai
security: []
tags: []
paths:
  /v1/chatbot/avatar/{id}:
    put:
      tags:
        - Chatbot
      summary: Update Chatbot Avatar
      description: Update a chatbot's avatar.
      operationId: ApiSmartAssistantV1Controller_updateAvatar
      parameters:
        - name: id
          required: true
          in: path
          description: The chatbot's id.
          schema:
            type: string
      requestBody:
        required: true
        description: Avatar file to upload. File must be smaller than 5MB.
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
      responses:
        '200':
          description: OK
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseDto'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseDto'
        '404':
          description: Element not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseDto'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseDto'
      security:
        - x-api-key: []
components:
  schemas:
    ApiErrorResponseDto:
      type: object
      properties:
        statusCode:
          type: number
          description: Error status code.
        message:
          description: Error message or an array of error messages.
          type: array
          items:
            type: string
        error:
          type: string
          description: Source of the error.
      required:
        - statusCode
        - message
        - error
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````